Module
Contents
Index 🔎︎

# Not Operator

Neguje výraz prevrátením bitových hodnôt.

## Syntax:

    Výsledok = Not Výraz

## Paremetre:

Výsledok: Číselná premenná, ktorá obsahuje výsledok negácie.

Výraz: Výraz, ktorý chcete negovať.

Pri negovaní logického výrazu sa hodnota True mení na False a hodnota False na True.

Pri negácií po bitoch je invertovaní každý samostatný bit.

## Príklad:

    Sub ExampleNot

    Dim vA As Variant, vB As Variant, vC As Variant, vD As Variant

    Dim vOut As Variant

        vA = 10: vB = 8: vC = 6: vD = Null

        vOut = Not vA REM vracia -11

        vOut = Not(vC > vD) REM vracia -1

        vOut = Not(vB > vA) REM vracia -1

        vOut = Not(vA > vB) REM vracia 0

    End Sub